# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    pdfedit
%define version 0.2.3
%define release 1.2007mcnl
%define summary pdf editor
%define section Office/Publishing


Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://pdfedit.petricek.net/
License:        GPL
Group:          Publishing

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 



%description
Complete editing of pdf documents is easy with PDFedit.
You can change either raw pdf objects (for advanced users)
or use predefined gui functions.

%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}

%build
 
%configure
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
cp src/gui/pdfedit %{buildroot}/%{_bindir}

mkdir -p %{buildroot}/%{_datadir}/pdfedit
cp src/gui/pdfeditrc %{buildroot}%{_datadir}/pdfedit/
cp src/gui/mode.conf %{buildroot}%{_datadir}/pdfedit/
cp src/gui/callback.qs %{buildroot}%{_datadir}/pdfedit/
cp src/gui/delinearize.qs %{buildroot}%{_datadir}/pdfedit/
cp src/gui/dialog_lib.qs %{buildroot}%{_datadir}/pdfedit/
cp src/gui/dialogs.qs %{buildroot}%{_datadir}/pdfedit/
cp src/gui/init.qs %{buildroot}%{_datadir}/pdfedit/
cp src/gui/init_console.qs %{buildroot}%{_datadir}/pdfedit/
cp src/gui/menu.qs %{buildroot}%{_datadir}/pdfedit/
cp src/gui/page.qs %{buildroot}%{_datadir}/pdfedit/
cp src/gui/pdfoperator.qs %{buildroot}%{_datadir}/pdfedit/
cp src/gui/test.qs %{buildroot}%{_datadir}/pdfedit/
cp src/gui/operator.hint %{buildroot}%{_datadir}/pdfedit/

mkdir -p %{buildroot}/%{_datadir}/pdfedit/icon/
cp -r src/gui/icon/* %{buildroot}%{_datadir}/pdfedit/icon/

mkdir -p %{buildroot}/%{_datadir}/pdfedit/icon/hicolor/ 
cp src/gui/icon/hicolor/*.png %{buildroot}%{_datadir}/pdfedit/icon/hicolor/

mkdir -p %{buildroot}/%{_datadir}/pdfedit/help/cs/
cp src/gui/help/*.html %{buildroot}%{_datadir}/pdfedit/help/
cp src/gui/help/cs/* %{buildroot}%{_datadir}/pdfedit/help/cs/

mkdir -p %{buildroot}%{_datadir}/pdfedit/help/images/
cp doc/user/images/* %{buildroot}%{_datadir}/pdfedit/help/images/

mkdir -p %{buildroot}%{_datadir}/pdfedit/lang/
cp src/gui/lang/pdfedit_*.qm %{buildroot}%{_datadir}/pdfedit/lang/

mkdir -p %{buildroot}%{_datadir}/pdfedit/scripts/
cp src/gui/scripts/delinearize.qs %{buildroot}%{_datadir}/pdfedit/scripts/
cp src/gui/scripts/pdftoxml.qs %{buildroot}%{_datadir}/pdfedit/scripts/
cp src/gui/scripts/update.qs %{buildroot}%{_datadir}/pdfedit/scripts/

mkdir -p %{buildroot}%{_datadir}/doc/pdfedit/
cp doc/user/appendix.html %{buildroot}%{_datadir}/doc/pdfedit/
cp doc/user/user_doc.html %{buildroot}%{_datadir}/doc/pdfedit/
cp doc/LICENSE.GPL %{buildroot}%{_datadir}/doc/pdfedit/

mkdir -p %{buildroot}%{_datadir}/doc/pdfedit/images/
cp doc/user/images/* %{buildroot}%{_datadir}/doc/pdfedit/images/

mkdir -p %{buildroot}%{_datadir}/doc/pdfedit/design/kernel/images/
cp doc/design/kernel/images/* %{buildroot}%{_datadir}/doc/pdfedit/design/kernel/images/
cp doc/design/design_doc.html %{buildroot}%{_datadir}/doc/pdfedit/design/

mkdir -p %{buildroot}%{_datadir}/doc/pdfedit/design/images/
cp doc/design/images/* %{buildroot}%{_datadir}/doc/pdfedit/design/images/

mkdir -p %{buildroot}%{_datadir}/doc/pdfedit/gui/menuAndToolbarsFun/images/
cp doc/user/gui/menuAndToolbarsFun/images/*.png %{buildroot}%{_datadir}/doc/pdfedit/gui/menuAndToolbarsFun/images/

mkdir -p %{buildroot}%{_datadir}/man/man1/
cp doc/user/pdfedit.1 %{buildroot}%{_datadir}/man/man1/

#icons
%define  nameicon src/gui/icon/pdfedit_icon_64.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu 2006
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="PDFedit" \
longtitle="%summary"
EOF

# Menu 2007
mkdir -p %buildroot%{_datadir}/applications/kde/
cat > %buildroot%{_datadir}/applications/kde/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PDFedit
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
MimeType=application/pdf
Categories=KDE;Qt;X-MandrivaLinux-Office-Publishing
EOF

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README Changelog

%{_menudir}/%{name}
%{_datadir}/applications/kde/%{name}.desktop

%{_iconsdir}/%{name}.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png

%{_bindir}/%{name}
%{_datadir}/pdfedit
%{_datadir}/doc/pdfedit
%{_datadir}/man/man1/pdfedit.1.bz2


%changelog 

*Fri Jan 19 2007 Marco Meijer <marco@mandrivaclub.nl> 0.2.3-1.2007mcnl
first build for mandrivaclub.nl


